> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/fr/api-documentation/transaction-screening/batch-screen-transactions.md).

# Contrôler les Transactions par Lot

Le criblage par lot pour le risque de transaction est exécuté en tant que tâche asynchrone. Chaque transaction génère un ID de tâche unique, et les utilisateurs peuvent obtenir les résultats détaillés via l'API de tâche.

## Screen multiple transactions

> Submit a batch transaction screening task and return task IDs.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"Transaction Screen","description":"Transaction screening and retrieval APIs."}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"Production server"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"TransactionScreen":{"type":"object","required":["chainId","hash","direction"],"properties":{"chainId":{"type":"integer","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."},"hash":{"type":"string","description":"The transaction hash."},"direction":{"type":"string","description":"The direction of the transaction."},"toAddress":{"type":"string","description":"The user’s deposit address (for deposits) or withdrawal address (for withdrawals)."},"transferIndex":{"type":"integer","description":"The index of the transfer within the transaction. Optional; used to identify a specific transfer if direction and toAddress are not unique. For BTC transactions, this field represents the toAddressIndex. If omitted and multiple transfers match, the first transfer will be used."},"includeDetails":{"type":"boolean","description":"Deprecated. Whether to include the legacy riskDetail field on every alert. Defaults to false. Still functional today; scheduled for removal on 2026-08-31.","deprecated":true}}},"ErrorCodeMsg":{"properties":{"code":{"type":"integer"},"msg":{"type":"string"}}},"TransactionTasksResult":{"type":"object","properties":{"taskIds":{"type":"array","description":"The list of task IDs.","items":{"type":"string","description":"The unique identifier for the task."}}}}}},"paths":{"/transactions/screen":{"post":{"tags":["Transaction Screen"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"transactions":{"type":"array","minItems":1,"maxItems":100,"items":{"$ref":"#/components/schemas/TransactionScreen"},"description":"The list of transactions to be screened. Provide between 1 and 100 transactions per request."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/code","description":"The status code of this request. For all possible codes and corresponding errors/messages, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)."},"msg":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/msg","description":"The message of this request. For all possible codes and corresponding errors/messages, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)."},"data":{"$ref":"#/components/schemas/TransactionTasksResult"}}}}}}},"description":"Submit a batch transaction screening task and return task IDs.","summary":"Screen multiple transactions"}}}}
```
